- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LP_data_and_hook Class Reference

`#include <lp.h>`

Inheritance diagram for LP_data_and_hook:

[legend]
Collaboration diagram for LP_data_and_hook:

[legend]
List of all members.

## Public Member Functions
| LP_data_and_hook ()
virtual | ~LP_data_and_hook ()
int | compute_rc (const VOL_dvector &u, VOL_dvector &rc)
| compute reduced costs
int | solve_subproblem (const VOL_dvector &u, const VOL_dvector &rc, double &lcost, VOL_dvector &x, VOL_dvector &v, double &pcost)
| Solve the subproblem for the subgradient step.
int | heuristics (const VOL_problem &p, const VOL_dvector &x, double &heur_val)
| Starting from the primal vector x, run a heuristic to produce an integer solution.
## Public Attributes
VOL_lp | lp_pb
VOL_dvector | rhs
VOL_ivector | ix
double | icost

## Detailed Description

Definition at line 32 of file lp.h.

## Constructor & Destructor Documentation

LP_data_and_hook::LP_data_and_hook | ( |  | ) | `[inline]`

Definition at line 39 of file lp.h.

virtual LP_data_and_hook::~LP_data_and_hook | ( |  | ) | `[inline, virtual]`

Definition at line 40 of file lp.h.

## Member Function Documentation

int LP_data_and_hook::compute_rc | ( | const VOL_dvector & | u,
|  | VOL_dvector & | rc |
| ) |  |  | `[virtual]`

compute reduced costs

Parameters:

  | u | (IN) the dual variables
  | rc | (OUT) the reduced cost with respect to the dual values

Implements VOL_user_hooks.

int LP_data_and_hook::solve_subproblem | ( | const VOL_dvector & | u,
|  | const VOL_dvector & | rc,
|  | double & | lcost,
|  | VOL_dvector & | x,
|  | VOL_dvector & | v,
|  | double & | pcost |
| ) |  |  | `[virtual]`

Solve the subproblem for the subgradient step.

Parameters:

  | dual | (IN) the dual variables
  | rc | (IN) the reduced cost with respect to the dual values
  | lcost | (OUT) the lagrangean cost with respect to the dual values
  | x | (OUT) the primal result of solving the subproblem
  | v | (OUT) b-Ax for the relaxed constraints
  | pcost | (OUT) the primal objective value of `x`

Implements VOL_user_hooks.

int LP_data_and_hook::heuristics | ( | const VOL_problem & | p,
|  | const VOL_dvector & | x,
|  | double & | heur_val |
| ) |  |  | `[virtual]`

Starting from the primal vector x, run a heuristic to produce an integer solution.

Parameters:

  | x | (IN) the primal vector
  | heur_val | (OUT) the value of the integer solution (return `DBL_MAX` here if no feas sol was found

Implements VOL_user_hooks.

## Member Data Documentation

VOL_lp LP_data_and_hook::lp_pb

Definition at line 34 of file lp.h.

VOL_dvector LP_data_and_hook::rhs

Definition at line 35 of file lp.h.

VOL_ivector LP_data_and_hook::ix

Definition at line 36 of file lp.h.

double LP_data_and_hook::icost

Definition at line 37 of file lp.h.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/Vol/examples/Volume-LP/lp.h